﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Facebook;

namespace FirstFacebookApplication
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void lnkTutorial_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start(lnkTutorial.Text);
        }

        private void btnFacebookLogin_Click(object sender, EventArgs e)
        {
            var appId = "{fix this}";

            string[] extendedPermissions = new[] { "user_about_me", "offline_access" };

            var fbLoginDialog = new FacebookLoginDialog(appId, extendedPermissions);
            fbLoginDialog.ShowDialog();

            if (fbLoginDialog.FacebookOAuthResult != null)
            {
                if (fbLoginDialog.FacebookOAuthResult.IsSuccess)
                {
                    var fb = new FacebookClient(fbLoginDialog.FacebookOAuthResult.AccessToken);

                    dynamic result = fb.Get("/me");
                    var name = result.name;

                    // for .net 3.5
                    //var result = (IDictionary<string, object>)fb.Get("/me");
                    //var name = (string)result["name"];

                    MessageBox.Show("Hi " + name);
                }
                else
                {
                    MessageBox.Show(fbLoginDialog.FacebookOAuthResult.ErrorDescription);
                }
            }
        }
    }
}
